<?php
if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( 'init.php' );
}

include ( 'sessioninc.php' );

$id 			= 	trim( $_POST['txtid'] );

$osDB->query("UPDATE ! ".
	      "SET userid = ?, ".
		  "    event	= ?, ".
		  "    description = ?, ".
		  "    calendarid = ?, ".
		  "    enabled = ?, ".
		  "    timezone = ?, ".
		  "    datetime_from = DATE_SUB(?, INTERVAL ".$_POST['txttimezone']." HOUR), ".
		  "    datetime_to = DATE_SUB(?, INTERVAL ".$_POST['txttimezone']." HOUR), ".
		  "    recurring = ?, ".
		  "    recuroption = ?, ".
		  "    private_to = ? ".
		  "where id= ?",
		  array( EVENTS_TABLE,
		  trim( $_POST['txtuserid'] ),
		  stripslashes(trim( $_POST['txtevent'] )),
		  stripslashes(trim( $_POST['txtdescription'] )),
		  $_POST['txtcalendar'],
		  (empty($_POST['txtprivate_to'])?"Y":"N"),
		  $_POST['txttimezone'],
		  $_POST['txtdatefromYear']. "-". $_POST['txtdatefromMonth']."-".$_POST['txtdatefromDay']." ".$_POST['txtdatefromHour'].":".$_POST['txtdatefromMinute'],
		  $_POST['txtdatetoYear']."-".$_POST['txtdatetoMonth']."-".$_POST['txtdatetoDay']." ".$_POST['txtdatetoHour'].":".$_POST['txtdatetoMinute'],
		  $_POST['txtrecurring'],
		  $_POST['txtrecuroption'],
		  stripslashes($_POST['txtprivate_to']),
		  $id
		  )
	);
send_watched_mails($id);
header ( 'location: event.php?event_id='.$id);
?>